Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book
Class BookFilters

    java.lang.Object
      org.crosswire.jsword.book.BookFilters

    public final class BookFilters

extends Object

Some common implementations of BookFilter.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Nested Class Summary
`(package private) static class` | `BookFilters.AllBookFilter` Filter for all books
`(package private) static class` | `BookFilters.BiblesBookFilter` Filter for all Bibles
`(package private) static class` | `BookFilters.CommentariesBookFilter` Filter for all commentaries
`(package private) static class` | `BookFilters.CustomBookFilter` Custom Filter
`(package private) static class` | `BookFilters.DailyDevotionalsBookFilter` Filter for all dictionaries
`(package private) static class` | `BookFilters.DictionariesBookFilter` Filter for all dictionaries
`(package private) static class` | `BookFilters.GreekDefinitionsBookFilter` Filter for all Greek Definition Dictionaries
`(package private) static class` | `BookFilters.GreekParseBookFilter` Filter for all Greek Parse/Morphology Dictionaries
`(package private) static class` | `BookFilters.HebrewDefinitionsBookFilter` Filter for all Hebrew Definition Dictionaries
`(package private) static class` | `BookFilters.HebrewParseBookFilter` Filter for all Hebrew Parse/Morphology Dictionaries

Field Summary
`private static BookFilter` | `allBookFilter` Filter for all books
`private static BookFilter` | `biblesBookFilter` Filter for all Bibles
`private static BookFilter` | `commentariesBookFilter` Filter for all commentaries
`private static BookFilter` | `dailyDevotionalsBookFilter` Filter for all dictionaries
`private static BookFilter` | `dictionariesBookFilter` Filter for all dictionaries
`private static BookFilter` | `greekDefinitionsBookFilter` Filter for all Greek Definition Dictionaries
`private static BookFilter` | `greekParseBookFilter` Filter for all Greek Parse/Morphology Dictionaries
`private static BookFilter` | `hebrewDefinitionsBookFilter` Filter for all Hebrew Definition Dictionaries
`private static BookFilter` | `hebrewParseBookFilter` Filter for all Hebrew Parse/Morphology Dictionaries
`(package private) static Logger` | `log` The log stream

Constructor Summary
`private` | `BookFilters()` Ensure we cant be created

Method Summary
`static BookFilter` | `both(BookFilter b1, BookFilter b2)` A filter that accepts Books that match two criteria.
`static BookFilter` | `either(BookFilter b1, BookFilter b2)` A filter that accepts Books that match either of two criteria.
`static BookFilter` | `getAll()` A simple default filter that returns everything
`static BookFilter` | `getBibles()` A filter that accepts everything that implements Bible
`static BookFilter` | `getBooksByDriver(BookDriver driver)` A filter that accepts Books that match either of two criteria.
`static BookFilter` | `getCommentaries()` A filter that accepts everything that implements Commentary
`static BookFilter` | `getCustom(String match)` A simple default filter that returns everything.
`static BookFilter` | `getDailyDevotionals()` A filter that accepts everything that implements DailyDevotionals
`static BookFilter` | `getDictionaries()` A filter that accepts everything that implements Dictionary
`static BookFilter` | `getGreekDefinitions()` A filter that accepts everything that is a Greek Definition Dictionary
`static BookFilter` | `getGreekParse()` A filter that accepts everything that is a Greek Parse/Morphology Dictionary
`static BookFilter` | `getHebrewDefinitions()` A filter that accepts everything that is a Hebrew Definition Dictionary
`static BookFilter` | `getHebrewParse()` A filter that accepts everything that is a Hebrew Parse/Morphology Dictionary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### allBookFilter

    private static BookFilter allBookFilter

  Filter for all books

### biblesBookFilter

    private static BookFilter biblesBookFilter

  Filter for all Bibles

### dictionariesBookFilter

    private static BookFilter dictionariesBookFilter

  Filter for all dictionaries

### dailyDevotionalsBookFilter

    private static BookFilter dailyDevotionalsBookFilter

  Filter for all dictionaries

### commentariesBookFilter

    private static BookFilter commentariesBookFilter

  Filter for all commentaries

### greekDefinitionsBookFilter

    private static BookFilter greekDefinitionsBookFilter

  Filter for all Greek Definition Dictionaries

### greekParseBookFilter

    private static BookFilter greekParseBookFilter

  Filter for all Greek Parse/Morphology Dictionaries

### hebrewDefinitionsBookFilter

    private static BookFilter hebrewDefinitionsBookFilter

  Filter for all Hebrew Definition Dictionaries

### hebrewParseBookFilter

    private static BookFilter hebrewParseBookFilter

  Filter for all Hebrew Parse/Morphology Dictionaries

### log

    static final Logger log

  The log stream

Constructor Detail

### BookFilters

    private BookFilters()

  Ensure we cant be created

Method Detail

### getAll

    public static BookFilter getAll()

  A simple default filter that returns everything

### getBibles

    public static BookFilter getBibles()

  A filter that accepts everything that implements Bible

### getDictionaries

    public static BookFilter getDictionaries()

  A filter that accepts everything that implements Dictionary

### getDailyDevotionals

    public static BookFilter getDailyDevotionals()

  A filter that accepts everything that implements DailyDevotionals

### getCommentaries

    public static BookFilter getCommentaries()

  A filter that accepts everything that implements Commentary

### getGreekDefinitions

    public static BookFilter getGreekDefinitions()

  A filter that accepts everything that is a Greek Definition Dictionary

### getGreekParse

    public static BookFilter getGreekParse()

  A filter that accepts everything that is a Greek Parse/Morphology Dictionary

### getHebrewDefinitions

    public static BookFilter getHebrewDefinitions()

  A filter that accepts everything that is a Hebrew Definition Dictionary

### getHebrewParse

    public static BookFilter getHebrewParse()

  A filter that accepts everything that is a Hebrew Parse/Morphology Dictionary

### both

    public static BookFilter both(BookFilter b1,
                                  BookFilter b2)

  A filter that accepts Books that match two criteria.

### either

    public static BookFilter either(BookFilter b1,
                                    BookFilter b2)

  A filter that accepts Books that match either of two criteria.

### getBooksByDriver

    public static BookFilter getBooksByDriver(BookDriver driver)

  A filter that accepts Books that match either of two criteria.

### getCustom

    public static BookFilter getCustom(String match)

  A simple default filter that returns everything. The match parameter is a set of name value pairs like this:
  `initials=ESV;type=Bible;driverName=Sword`
  Before the = there must be the name of a property on Book and after the value to match (.toString()) is called on the results of the getter.

  Parameters:
    `match` - a ; separated list of properties (of Book) to match
  See Also:
    `Book`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD